Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_TSS_Ref Class Reference

"Reference count" for thread-specific storage keys. More...

`#include <OS_NS_Thread.h>`

List of all members.

## Public Member Functions
| ACE_TSS_Ref (ACE_thread_t id)
| Constructor.
| ACE_TSS_Ref (void)
| Default constructor.
bool | operator== (const ACE_TSS_Ref &) const
| Check for equality.
bool | operator!= (const ACE_TSS_Ref &) const
| Check for inequality.
## Public Attributes
ACE_thread_t | tid_
| ID of thread using a specific key.

## Detailed Description

"Reference count" for thread-specific storage keys.

Since the <ace_unbounded_stack> doesn't allow duplicates, the "reference count" is the identify of the thread_id.

## Constructor & Destructor Documentation

ACE_TSS_Ref::ACE_TSS_Ref | ( | ACE_thread_t | id | ) |

| Constructor.

ACE_TSS_Ref::ACE_TSS_Ref | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

bool ACE_TSS_Ref::operator!= | ( | const ACE_TSS_Ref & |  | ) | const

| Check for inequality.

bool ACE_TSS_Ref::operator== | ( | const ACE_TSS_Ref & |  | ) | const

| Check for equality.

## Member Data Documentation

ACE_thread_t ACE_TSS_Ref::tid_

| ID of thread using a specific key.

The documentation for this class was generated from the following file:

- OS_NS_Thread.h